
<!DOCTYPE html>
<html ng-app="listasApp">
<head>
	<title>Listas</title>

	<meta charset="UTF-8">

	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.1/css/all.css" integrity="sha384-vp86vTRFVJgpjF9jiIGPEEqYqlDwgyBgEF109VFjmqGmIY/Y4HV4d3Gp2irVfcrp" crossorigin="anonymous">

	<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.0/angular.min.js"></script>

	<script src="js/main.js"></script>

</head>
<body>

	<div class="jumbotron jumbotron-fluid">
		<div class="container">
			<h1 class="display-4">Estructura de Datos - Listas</h1>
			<p class="lead">Componente personalizado multi-nivel de selección multiple.</p>
		</div>
	</div>
	<div class="container-fluid">
		<div ng-controller="ListasController">
	    		
	    	<div class="row">
				<section class="col-4">

					<div class="card text-center">
						<div class="card-header">
							Formulario
						</div>
						<div class="card-body">
							
							<form>
								<div class="form-group">
									<input type="text" class="form-control" id="nombreCategoria" placeholder="Nombre de Categoría"
										ng-model=" nuevaCategoria.nombre ">
								</div>
								<div class="form-group" ng-hide=" nuevaCategoria.id && nuevaCategoria.id > 0 || listaCategorias.length === 0 ">
									<select class="form-control" id="selectSuper" name="selectSuper" 
										ng-model=" nuevaCategoria.parent ">
										<option ng-repeat="cat in listaCategorias" ng-value="cat.id"> {{ cat.alias }}</option>
									</select>
								</div>
								<button type="submit" class="btn btn-primary" ng-click=" fnGuardar() ">Gurdar</button>
							</form>

						</div>
					</div>

				</section>
				<section class="col-4">

					<div class="card">
						<div class="card-header text-center">
							Objeto
						</div>
						<div class="card-body">
							<pre> {{ listaCategorias | orderBy: ['id', 'parent'] | json: 4 }} </pre>
						</div>
					</div>

				</section>
				<section class="col-4">
					
					<div class="card">
						<div class="card-header">
							Componente
						</div>
						<div class="list-group list-group-flush">
							<div class="list-group-item"
								ng-repeat=" categoria in listaOrdenada() " 
								ng-show=" categoria.visible "
								
								>

								<div ng-click=" fnSeleccionarNivel( categoria ) " class="float-left">
									<span ng-show=" listSubCategorias( categoria ).length > 0 ">
										<i ng-show=" !categoria.collapse " class="fas fa-chevron-up"></i>
										<i ng-show=" categoria.collapse " class="fas fa-chevron-down"></i>
									</span>
									<span ng-show=" listSubCategorias( categoria ).length === 0 ">
										<i class="fas fa-th-large"></i>
									</span>
									{{ categoria.nombre }}
								</div>

								<span class="float-right" ng-click=" fnSeleccionar( categoria ) ">
									<i ng-show=" !categoria.selected " class="far fa-square"></i>
									<i ng-show=" categoria.selected " class="far fa-check-square"></i>
								</span>
							</div>
						</div>
						<div class="card-footer text-muted" ng-show=" mostrarOpciones ">
							<button class="btn btn-xs btn-info" ng-click="fnAccion(1)">
								<i class="fas fa-edit"></i>
							</button>
							<button class="btn btn-xs btn-danger" ng-click="fnAccion(2)">
								<i class="fas fa-trash"></i>
							</button>
						</div>
					</div>

				</section>
			</div>

	    </div>
	</div>

</body>
</html>
